List Assignees
curl --request GET \
--url https://app.aiinsurance.io/api/external/companies/{companyId}/{entityType}/{entityId}/assignees \
--header 'Authorization: <api-key>'import requests
url = "https://app.aiinsurance.io/api/external/companies/{companyId}/{entityType}/{entityId}/assignees"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.aiinsurance.io/api/external/companies/{companyId}/{entityType}/{entityId}/assignees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "google-oauth2|123456789",
"name": "John Smith",
"email": "john@example.com",
"assignedAt": "Thu Mar 20 2026 14:30:00 GMT+0000 (Coordinated Universal Time)"
},
{
"id": "google-oauth2|987654321",
"name": "Jane Doe",
"email": "jane@example.com",
"assignedAt": "Sat Mar 21 2026 09:15:00 GMT+0000 (Coordinated Universal Time)"
}
],
"totalCount": 2
}
Assignees
List Assignees
Returns the list of users assigned to a specific entity.
Required permission: Permission depends on entity type:
policies→company.policy:readsubmissions→company.submission:readinsureds→company.insured:readevents→company.claim:read
GET
/
api
/
external
/
companies
/
{companyId}
/
{entityType}
/
{entityId}
/
assignees
List Assignees
Authorizations
API key authentication. Include your API key in the Authorization header.
Path Parameters
Company identifier
The type of entity (policies, submissions, insureds, or events) The type of entity to manage assignees for
Available options:
policies, submissions, insureds, events The ID of the entity
Was this page helpful?
⌘I
